EC_LOG_LEVEL_GET(3)

NAME
ec_log_level_get - Get the global log level.

SYNOPSIS
#include <ecoli/log.h>

enum ec_log_level ec_log_level_get(
    void
);

DESCRIPTION

This level is used by the default log handler, ec_log_default_cb(). All messages that are at least as critical as the default level are displayed.

RETURN VALUE

The current global log level

SEE ALSO

ec_log_fct_register(3), ec_log_level_set(3), ec_vlog(3), ec_log_name(3), ec_log(3), ec_log_default_cb(3), ec_log_type_register(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.